%define name	videodog
%define version	0.22
%define release 1mdk

Name: 	 	%{name}
Summary: 	Video4Linux frame grabber
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://planeta.terra.com.br/informatica/gleicon/video4linux/videodog.html
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libjpeg-devel

%description
VideoDog is a command line tool to grab frames from a Video4linux-compliant
device. It can export a file in raw, PNM, or JPG formats. It can also do loop
capture using multiple buffers, or just be used to set/retrieve device data or
scripts. It presents a programming interface for implementing image
transformations and effects. There are some examples in the source code. No
external libraries are required.

%prep
%setup -q

%build
%make CC="gcc $RPM_OPT_FLAGS"
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -fr %buildroot/usr/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGELOG EFFECTS LICENSE TODO USAGE
%{_bindir}/%name

%changelog
* Thu Apr 10 2003 Austin Acton <aacton@yorku.ca> 0.22-1mdk
- initial package
